{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.REALESTATEREALTOR"
  },
  "caption" : "房地产和中介关系表",
  "codeName" : "RealEstateRealtorPickupView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/RealEstateRealtorPickupView.json",
  "funcViewMode" : "PICKUPVIEW",
  "name" : "RealEstateRealtorPickupView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PickupView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "PickupViewpickupviewpanel",
    "controlType" : "PICKUPVIEWPANEL",
    "getEmbeddedPSAppDEView" : {
      "accUserMode" : 2,
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.REALESTATEREALTOR"
      },
      "caption" : "房地产和中介关系表",
      "codeName" : "RealEstateRealtorPickupGridView",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/RealEstateRealtorPickupGridView.json",
      "gridRowActiveMode" : 2,
      "name" : "RealEstateRealtorPickupGridView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
      },
      "getPSAppModule" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
      },
      "getPSAppViewEngines" : [ {
        "engineCat" : "VIEW",
        "engineType" : "PickupGridView",
        "name" : "engine"
      } ],
      "getPSControls" : [ {
        "aggMode" : "NONE",
        "codeName" : "Main",
        "columnEnableFilter" : 2,
        "columnEnableLink" : 2,
        "controlType" : "GRID",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor/PSGRIDS/Main.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
          }
        },
        "groupMode" : "NONE",
        "logicName" : "主表格",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          }, {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "数据表格处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "GRID"
        },
        "getPSDEGridColumns" : [ {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "caption" : "房产",
          "codeName" : "realestatename",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "realestatename",
          "excelCaption" : "房产",
          "getLinkPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/RealEstateRedirectView.json",
            "viewType" : "DEREDIRECTVIEW"
          },
          "linkValueItem" : "realestateid",
          "name" : "realestatename",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "REALESTATENAME",
            "codeName" : "RealEstateName"
          },
          "width" : 100,
          "widthUnit" : "PX",
          "enableLinkView" : true,
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "caption" : "中介",
          "codeName" : "realtorname",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "realtorname",
          "excelCaption" : "中介",
          "getLinkPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/RealtorRedirectView.json",
            "viewType" : "DEREDIRECTVIEW"
          },
          "linkValueItem" : "realtorid",
          "name" : "realtorname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "REALTORNAME",
            "codeName" : "RealtorName"
          },
          "width" : 100,
          "widthUnit" : "PX",
          "enableLinkView" : true,
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "FRONT",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEMAN"
          },
          "caption" : "更新人",
          "codeName" : "updateman",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "updateman",
          "excelCaption" : "更新人",
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "width" : 150,
          "widthUnit" : "PX",
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEDATE"
          },
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "updatedate",
          "excelCaption" : "更新时间",
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "width" : 150,
          "widthUnit" : "PX",
          "enableSort" : true
        } ],
        "getPSDEGridDataItems" : [ {
          "dataType" : 25,
          "name" : "realestatename",
          "getPSAppDEField" : {
            "name" : "REALESTATENAME",
            "codeName" : "RealEstateName"
          }
        }, {
          "dataType" : 25,
          "name" : "realtorname",
          "getPSAppDEField" : {
            "name" : "REALTORNAME",
            "codeName" : "RealtorName"
          }
        }, {
          "dataType" : 25,
          "name" : "updateman",
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          }
        }, {
          "format" : "YYYY-MM-DD HH:mm:ss",
          "dataType" : 5,
          "name" : "updatedate",
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          }
        }, {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "REALESTATEREALTORID",
            "codeName" : "RealEstateRealtorId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfdataaccaction",
          "getPSAppDEField" : {
            "name" : "REALESTATEREALTORID",
            "codeName" : "RealEstateRealtorId"
          },
          "dataAccessAction" : true
        }, {
          "dataType" : 25,
          "name" : "realestateid",
          "getPSAppDEField" : {
            "name" : "REALESTATEID",
            "codeName" : "RealEstateId"
          }
        }, {
          "dataType" : 25,
          "name" : "realtorid",
          "getPSAppDEField" : {
            "name" : "REALTORID",
            "codeName" : "RealtorId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "REALESTATEREALTORNAME",
            "codeName" : "RealEstateRealtorName"
          }
        } ],
        "getPSDEGridEditItems" : [ {
          "caption" : "房地产和中介关系表标识",
          "codeName" : "srfkey",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "REALESTATEREALTORID",
            "codeName" : "RealEstateRealtorId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "srfkey"
          },
          "allowEmpty" : true
        } ],
        "pagingSize" : 20,
        "getRemovePSControlAction" : {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
          }
        },
        "sortMode" : "REMOTE",
        "hasWFDataItems" : false,
        "enableColFilter" : false,
        "enableCustomized" : true,
        "enableGroup" : false,
        "enablePagingBar" : true,
        "enableRowEdit" : false,
        "enableRowEditOrder" : false,
        "enableRowNew" : false,
        "forceFit" : false,
        "hideHeader" : false,
        "noSort" : false,
        "singleSelect" : false,
        "name" : "grid",
        "modelid" : "7abda9aa2c4699d1bd7acc981479164e",
        "modeltype" : "PSDEGRID"
      }, {
        "codeName" : "Default",
        "controlType" : "SEARCHFORM",
        "defaultLabelWidth" : 130,
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor/PSSEARCHFORMS/Default.json",
        "logicName" : "默认搜索表单",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionType" : "FILTERACTION",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FilterGet"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          }, {
            "actionType" : "FILTERACTION",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FilterGetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          }, {
            "actionType" : "FILTERACTION",
            "name" : "search",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FilterSearch"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
            }
          } ],
          "enableDEFieldPrivilege" : false,
          "id" : "搜索表单处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "SEARCHFORM"
        },
        "getPSDEFormPages" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.REALESTATEREALTOR.DEFAULT.FORMPAGE.FORMPAGE1"
          },
          "caption" : "常规条件",
          "codeName" : "formpage1",
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMPAGE",
          "name" : "formpage1",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "searchButtonStyle" : "DEFAULT",
        "tabHeaderPos" : "TOP",
        "enableAdvanceSearch" : false,
        "enableAutoSearch" : false,
        "enableFilterSave" : false,
        "noTabHeader" : true,
        "name" : "searchform",
        "modelid" : "e7e494cfb38ed35a3cfb548d146ec50e",
        "modeltype" : "PSDEFORM_SEARCHFORM"
      }, {
        "controlType" : "SEARCHBAR",
        "name" : "searchbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
        },
        "getPSControlParam" : {
          "id" : "searchbar"
        },
        "quickGroupCount" : -1,
        "quickSearchMode" : 0,
        "quickSearchWidth" : 0,
        "enableFilter" : false,
        "enableGroup" : false,
        "enableQuickSearch" : false,
        "mobileSearchBar" : false
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DE.LNAME.REALESTATEREALTOR"
        },
        "caption" : "房地产和中介关系表",
        "codeName" : "PickupGridViewcaptionbar",
        "controlType" : "CAPTIONBAR",
        "name" : "captionbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
        },
        "getPSControlParam" : { }
      } ],
      "getPSDEViewCodeName" : "PickupGridView",
      "getPSDEViewId" : "74479f482740584d8686690aad69061b",
      "getPSViewLayoutPanel" : {
        "codeName" : "Layoutpanel",
        "controlStyle" : "APPDEPICKUPGRIDVIEW",
        "controlType" : "VIEWLAYOUTPANEL",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
        },
        "getPSControlParam" : { },
        "layoutBodyOnly" : true,
        "layoutPanel" : true,
        "useDefaultLayout" : true
      },
      "refFlag" : false,
      "title" : "房地产和中介关系表选择表格视图",
      "getTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.REALESTATEREALTOR.PICKUPGRIDVIEW"
      },
      "viewStyle" : "DEFAULT",
      "viewType" : "DEPICKUPGRIDVIEW",
      "xDataControlName" : "grid",
      "enableDP" : true,
      "enableExport" : true,
      "enableFilter" : true,
      "enableImport" : true,
      "enableRowEdit" : false,
      "enableSearch" : true,
      "expandSearchForm" : true,
      "pickupMode" : true,
      "rowEditDefault" : false,
      "modelid" : "3892ab373e468570298903af084a0357",
      "modeltype" : "PSAPPDEVIEW",
      "getPSAppDERSPaths" : [ [ {
        "actionRSMode" : 1,
        "codeName" : "RealEstateRealtors",
        "dataRSMode" : 0,
        "majorDECodeName" : "RealEstate",
        "majorDEName" : "REALESTATE",
        "getMajorPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstate.json"
        },
        "minorDECodeName" : "RealEstateRealtor",
        "minorDEName" : "REALESTATEREALTOR",
        "getMinorPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
        },
        "name" : "房地产和中介关系",
        "getParentPSAppDEField" : {
          "name" : "REALESTATEID",
          "codeName" : "RealEstateId"
        },
        "rSMode" : 2
      } ], [ {
        "actionRSMode" : 1,
        "codeName" : "RealEstateRealtors",
        "dataRSMode" : 0,
        "majorDECodeName" : "Realtor",
        "majorDEName" : "REALTOR",
        "getMajorPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Realtor.json"
        },
        "minorDECodeName" : "RealEstateRealtor",
        "minorDEName" : "REALESTATEREALTOR",
        "getMinorPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
        },
        "name" : "中介和房地产关系",
        "getParentPSAppDEField" : {
          "name" : "REALTORID",
          "codeName" : "RealtorId"
        },
        "rSMode" : 2
      } ] ]
    },
    "name" : "pickupviewpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
    },
    "getPSControlParam" : {
      "id" : "PICKUPVIEWPANEL"
    }
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.REALESTATEREALTOR"
    },
    "caption" : "房地产和中介关系表",
    "codeName" : "PickupViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "PickupView",
  "getPSDEViewId" : "776a85882593618e75f4a63735affc93",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPICKUPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "title" : "房地产和中介关系表数据选择视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.REALESTATEREALTOR.PICKUPVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPICKUPVIEW",
  "enableDP" : true,
  "showCaptionBar" : false,
  "modelid" : "cf53ab548b481218d73b1a52f960d421",
  "modeltype" : "PSAPPDEVIEW",
  "getPSAppDERSPaths" : [ [ {
    "actionRSMode" : 1,
    "codeName" : "RealEstateRealtors",
    "dataRSMode" : 0,
    "majorDECodeName" : "RealEstate",
    "majorDEName" : "REALESTATE",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstate.json"
    },
    "minorDECodeName" : "RealEstateRealtor",
    "minorDEName" : "REALESTATEREALTOR",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
    },
    "name" : "房地产和中介关系",
    "getParentPSAppDEField" : {
      "name" : "REALESTATEID",
      "codeName" : "RealEstateId"
    },
    "rSMode" : 2
  } ], [ {
    "actionRSMode" : 1,
    "codeName" : "RealEstateRealtors",
    "dataRSMode" : 0,
    "majorDECodeName" : "Realtor",
    "majorDEName" : "REALTOR",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Realtor.json"
    },
    "minorDECodeName" : "RealEstateRealtor",
    "minorDEName" : "REALESTATEREALTOR",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/RealEstateRealtor.json"
    },
    "name" : "中介和房地产关系",
    "getParentPSAppDEField" : {
      "name" : "REALTORID",
      "codeName" : "RealtorId"
    },
    "rSMode" : 2
  } ] ]
}